Documentation
Sales & incentives
Record incentives/bonuses, set monthly sales targets, and store monthly sales totals (not full payroll).
Requires scope: sales
Incentives use componentType incentive|bonus and feed payroll compensation when processed.
Monthly sales responses include achievementPercent when a target exists for the same month.
Endpoints
GET
/api/v1/integrations/incentivesBearer authList incentives / bonuses
- Query: employeeId, componentType, year, month
POST
/api/v1/integrations/incentivesBearer authCreate incentive or bonus
Request body
{
"employeeId": "<employeeId>",
"componentType": "incentive",
"amount": 5000,
"category": "sales",
"month": "11",
"year": "2026",
"remarks": "Q4 target beat",
"createdBy": "<hrUserId>"
}GET
/api/v1/integrations/sales-targetsBearer authList sales targets
POST
/api/v1/integrations/sales-targetsBearer authCreate or update a monthly sales target
Request body
{
"employeeId": "<employeeId>",
"year": 2026,
"month": 11,
"targetAmount": 250000,
"currency": "INR"
}GET
/api/v1/integrations/monthly-salesBearer authList monthly sales totals
POST
/api/v1/integrations/monthly-salesBearer authRecord or update monthly sales total
Request body
{
"employeeId": "<employeeId>",
"year": 2026,
"month": 11,
"totalSales": 312000,
"currency": "INR",
"unitsSold": 42
}Example response
{
"success": true,
"data": {
"monthlySales": {
"id": "…",
"employeeId": "…",
"year": 2026,
"month": 11,
"totalSales": 312000,
"targetAmount": 250000,
"achievementPercent": 124.8
}
}
}